Skip to content

Request Update Image Asset

Request

⚠️ Deprecated — Use PUT /v3.0/creatives/{atomic_creative_id} instead.

Request update image asset

Text asset is in the request sample below.

Image asset request sample: ------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="asset_value"; filename="" Content-Type:

------WebKitFormBoundary7MA4YWxkTrZu0gW--

Path
asset_idstringrequired

asset_id

Headers
adama_sessionstring

See below

POST
/component_creatives/v1.0/assets/{asset_id}
curl -i -X POST \
  'https://api.mediamath.com/component_creatives/v1.0/assets/{asset_id}' \
  -H 'adama_session: string'

Responses

The data section will either have asset_value (text asset) or the 5 image parameters (image asset). It may be associated with either an advertise_id or a creative_id.

Request update image asset (multipart/form-data)

Headers

Cookie: adama_session={adama_session}

Body

------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="asset_value"; filename="" Content-Type:

------WebKitFormBoundary7MA4YWxkTrZu0gW--

------WebKitFormBoundary7MA4YWxkTrZu0gW Content-Disposition: form-data; name="asset_value"; filename="" Content-Type:

------WebKitFormBoundary7MA4YWxkTrZu0gW--

Body
Response
{ "data": { "advertiser_id": 100178, "asset_id": 1537, "asset_name": null, "component_human_name": "Image", "component_id": 2, "created_at": "2016-11-17T17:29:32.340Z", "image_file_size": null, "image_filename": "mediamathlogo.png", "image_height": 100, "image_url": "https://s3.amazonaws.com/mm-component-creative/1479403772247_227082bd4ced0f888aa0066f06ea1402_mediamathlogo.png", "image_width": 160, "updated_at": "2016-11-17T17:29:32.340Z" }, "meta": { "code": 201, "status": "created", "type": "asset" } }